---
import ProductCard from "../components/ProductCard";
import Visible from "../components/Visible";
import Layout from "../layouts/Layout.astro";
import { IProduct } from "../types";

const response = await fetch('https://fakestoreapi.com/products')

const products = await response.json() as IProduct[]
---

<Layout title="Products">
    <div class="container mx-auto max-w-2xl pt-5">
    
    <h1 class="text-2xl font-bold">Product</h1>
    {products.map(prod => <ProductCard client:load product={prod} />)}
    <Visible client:visible/>
    </div>
</Layout>